org.kie.api.conf

## Enum EventProcessingOption

- java.lang.Object
- - java.lang.Enum<EventProcessingOption>
  - - org.kie.api.conf.EventProcessingOption

- All Implemented Interfaces:
    Serializable, Comparable<EventProcessingOption>, KieBaseOption, Option, SingleValueKieBaseOption

      public enum EventProcessingOption
      extends Enum<EventProcessingOption>
      implements SingleValueKieBaseOption

  An Enum for Event Processing option. drools.eventProcessingMode = <identity|equality> When the rulebase is compiled in the CLOUD (default) event processing mode, it behaves just like a regular rulebase. When the rulebase is compiled in the STREAM event processing mode, additional assumptions are made. These assumptions allow the engine to perform a few optimisations like:
  - reasoning over absence of events (NOT CE), automatically adds an appropriate duration attribute to the rule in order to avoid early rule firing.
  - memory management techniques may be employed when an event no longer can match other events due to session clock continuous increment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOUD`
    `STREAM`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the sequential mode option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventProcessingOption` | `determineEventProcessingMode(String mode)`
    `String` | `getMode()`
    `String` | `getPropertyName()`
    `String` | `toExternalForm()`
    `String` | `toString()`
    `static EventProcessingOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventProcessingOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOUD

          public static final EventProcessingOption CLOUD

    - #### STREAM

          public static final EventProcessingOption STREAM

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the sequential mode option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static EventProcessingOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventProcessingOption c : EventProcessingOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventProcessingOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getMode

          public String getMode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EventProcessingOption>`

    - #### toExternalForm

          public String toExternalForm()

    - #### determineEventProcessingMode

          public static EventProcessingOption determineEventProcessingMode(String mode)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.